using DataSharing.Share.Dtos.YiBin.ConvergenceMedia;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace DataSharing.Share.Dtos.YiBin.WllzYB
{
    public class GetOrderWllzDataDto
    {
        /// <summary>
        /// 总页数
        /// </summary>
        [JsonPropertyName("TotalNum")]
        public int TotalNum { get; set; } = 0;

        /// <summary>
        /// 数据
        /// </summary>
        [JsonPropertyName("List")]
        public IReadOnlyList<GetOrderWllzDataListDto> List { get; set; }
    }

    /// <summary>
    /// 工单数据
    /// </summary>
    public class GetOrderWllzDataListDto
    {
        /// <summary>
        /// 标识
        /// </summary>
        [JsonPropertyName("FlowID")]
        public string FlowID { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        [JsonPropertyName("Code")]
        public string Code { get; set; }

        /// <summary>
        /// 工单标题
        /// </summary>
        [JsonPropertyName("Title")]
        public string Title { get; set; }

        /// <summary>
        /// 保存时间
        /// </summary>
        [JsonPropertyName("AddDate")]
        public string AddDate { get; set; }

        /// <summary>
        /// 工单来源
        /// </summary>
        [JsonPropertyName("FromName")]
        public string FromName { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        [JsonPropertyName("PurTypeName")]
        public string PurTypeName { get; set; }

        /// <summary>
        /// 办理状态
        /// </summary>
        [JsonPropertyName("StateName")]
        public string StateName { get; set; }

        /// <summary>
        /// 发布时间
        /// </summary>
        [JsonPropertyName("PubDate")]
        public string? PubDate { get; set; }
    }
}
